Retrieve a registration
curl --request GET \
--url https://thirdparty-sandbox.staging.qonto.co/register/registrations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Qonto-Partner-Id: <api-key>'{
"registration": {
"locale": "fr",
"partner_user": {
"first_name": "John",
"last_name": "Doe",
"email": "example-partner-user@qonto.com"
},
"organization": {
"legal_name": "Qonto",
"legal_form": "SAS",
"address": {
"line_1": "Rue La Fayette 20B",
"postal_code": "75009",
"city": "Paris",
"country": "FR",
"line_2": "Room 5"
},
"total_capital_amount": {
"value": "1023.43",
"currency": "EUR"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_type": "company",
"legal_number": "<string>",
"legal_sector": "K.64.11",
"legal_registration_date": "2023-12-25",
"legal_vat_number": "<string>"
},
"stakeholders": [
{
"capital_amount": {
"value": "1023.43",
"currency": "EUR"
},
"is_owner": true,
"first_name": "Leeroy",
"last_name": "Jenkins",
"email": "leeroy.jenkins@qonto.com",
"gender": "male",
"phone_number": "0033123456789",
"nationality": "FR",
"birth_date": "2021-08-17T12:31:32.689Z",
"birth_address": {
"postal_code": "75009",
"city": "Paris",
"country": "FR"
},
"residence_address": {
"line_1": "Rue La Fayette 20B",
"postal_code": "75009",
"city": "Paris",
"country": "FR"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shareholding_type": "physical",
"share_capital_origin": [],
"legal_entities": [
{
"legal_name": "Qonto",
"legal_number": 123456789,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_country": "FR",
"capital_amount": "1023.43",
"share_capital_origin": []
}
]
}
],
"id": "a584b060-8c96-488d-8bbb-74f0d3d2803c",
"legal_flow": "company_creation",
"flow": {
"type": "seamless",
"breakdown": [
{
"code": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
},
"status": "pending",
"redirection_link": "https://xyz.qonto.com/registrations/ID",
"partner_redirect_url": "https://example.com/users/123456/dashboard",
"created_at": "2021-08-17T12:31:32.689Z",
"updated_at": "2021-08-17T14:00:00.689Z"
}
}Registrations
Retrieve a registration
Retrieves the registration identified by the id path parameter.
GET
/
register
/
registrations
/
{id}
Retrieve a registration
curl --request GET \
--url https://thirdparty-sandbox.staging.qonto.co/register/registrations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Qonto-Partner-Id: <api-key>'{
"registration": {
"locale": "fr",
"partner_user": {
"first_name": "John",
"last_name": "Doe",
"email": "example-partner-user@qonto.com"
},
"organization": {
"legal_name": "Qonto",
"legal_form": "SAS",
"address": {
"line_1": "Rue La Fayette 20B",
"postal_code": "75009",
"city": "Paris",
"country": "FR",
"line_2": "Room 5"
},
"total_capital_amount": {
"value": "1023.43",
"currency": "EUR"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_type": "company",
"legal_number": "<string>",
"legal_sector": "K.64.11",
"legal_registration_date": "2023-12-25",
"legal_vat_number": "<string>"
},
"stakeholders": [
{
"capital_amount": {
"value": "1023.43",
"currency": "EUR"
},
"is_owner": true,
"first_name": "Leeroy",
"last_name": "Jenkins",
"email": "leeroy.jenkins@qonto.com",
"gender": "male",
"phone_number": "0033123456789",
"nationality": "FR",
"birth_date": "2021-08-17T12:31:32.689Z",
"birth_address": {
"postal_code": "75009",
"city": "Paris",
"country": "FR"
},
"residence_address": {
"line_1": "Rue La Fayette 20B",
"postal_code": "75009",
"city": "Paris",
"country": "FR"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shareholding_type": "physical",
"share_capital_origin": [],
"legal_entities": [
{
"legal_name": "Qonto",
"legal_number": 123456789,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_country": "FR",
"capital_amount": "1023.43",
"share_capital_origin": []
}
]
}
],
"id": "a584b060-8c96-488d-8bbb-74f0d3d2803c",
"legal_flow": "company_creation",
"flow": {
"type": "seamless",
"breakdown": [
{
"code": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
},
"status": "pending",
"redirection_link": "https://xyz.qonto.com/registrations/ID",
"partner_redirect_url": "https://example.com/users/123456/dashboard",
"created_at": "2021-08-17T12:31:32.689Z",
"updated_at": "2021-08-17T14:00:00.689Z"
}
}Authorizations
Bearer authorization header: Bearer <token>.
To get your <token>, please sign up to the Developer Portal.
API Key authorization header: Qonto-Partner-Id: <partner_id>.
To get your <partner_id> please, sign up to the Developer Portal.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
id of the Registration resource
Response
Returns the registration identified by the id path parameter.
Show child attributes
Show child attributes
Was this page helpful?
⌘I